Name:		wengophone
Version:	2.1.99.2
Release:	%mkrel 2
Summary:	Internet phone software
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.openwengo.org/
Source:		http://download.wengo.com/nightlybuilds/universal/sources/openwengo/%{version}/%{name}-%{version}-source.tar.bz2
Patch1:		wengophone-2.1.99.1-fix-desktopfile.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	speex-devel
BuildRequires:	boost-devel
BuildRequires:	portaudio-devel >= 19
BuildRequires:	openssl-devel
BuildRequires:	glib2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gnutls-devel
BuildRequires:	qt4-linguist
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
Obsoletes:	openwengo
Obsoletes:	%mklibname %{name} 0

%description
Wengophone is a SIP softphone which allows you to make free PC to PC
video and voice calls, and to integrate all your IM contacts in one
place.

%post 
%update_icon_cache hicolor
 
%postun 
%clean_icon_cache hicolor

%files
%doc wengophone/AUTHORS
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version-source
%patch1 -p0

%build
%cmake_qt4 \
	-DPORTAUDIO_INTERNAL=OFF \
	-DFFMPEG_INTERNAL=OFF \
	-DSPEEX_INTERNAL=OFF \
	-DSAMPLERATE_INTERNAL=OFF \
	-DCURL_INTERNAL=OFF

%make VERBOSE=1
make lupdate VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
cd build
%makeinstall_std

rm -f %{buildroot}%{_datadir}/wengophone/COPYING %{buildroot}%{_datadir}/wengophone/AUTHORS

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Sep 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.99.2-2mdv2008.0
+ Revision: 93320
- Fix patch

* Thu Sep 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.99.2-1mdv2008.0
+ Revision: 93228
- 2.2 Alpha 2
- [BUGFIX] Show wengophone icon on gnome menu (Bug #32758)

* Mon Sep 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.99.1-4mdv2008.0
+ Revision: 89361
- [BUGFIX] Add GenericName for menu entry (Bug #33404)

* Fri Sep 14 2007 Adam Williamson <awilliamson@mandriva.com> 2.1.99.1-3mdv2008.0
+ Revision: 85421
- update wengophone-2.1.99.1-fix-desktopfile.patch to use soundwrapper (#31753)
- simplify file list
- package AUTHORS correctly as a doc file
- remove useless copies of COPYING and AUTHORS
- clean buildroot before doing make install
- use standard macros for build and install
- drop separate lib package: the files it contained were only plugins and should be in main package
- better description and summary
- include URL for source
- use standard MDV spec file order
- use tabs not spaces

* Sun Sep 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.99.1-2mdv2008.0
+ Revision: 78096
- Fix desktop file

* Sun Aug 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.99.1-1mdv2008.0
+ Revision: 71472
- Wengophone 2.2 Alpha1

* Mon Aug 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2008.0
+ Revision: 67907
- rebuilt against new portaudio libs

* Thu Jun 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 45468
- New version 2.1.1

* Thu May 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-3mdv2008.0
+ Revision: 27610
- Close ticket #30865

* Wed May 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-2mdv2008.0
+ Revision: 27148
- Add tarball
- New release 2.1
- New svn snapshot

  + Oden Eriksson <oeriksson@mandriva.com>
    - revert last change...
    - fix deps (libcoredumper-devel)

* Mon Apr 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-1.rc2.3mdv2008.0
+ Revision: 17263
- Remove debug
- New svn snapshot (10849)

* Wed Apr 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-1.rc2.2mdv2008.0
+ Revision: 14869
- New svn snapshot


* Wed Mar 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-1.rc2.1mdv2007.1
+ Revision: 149146
- FIx build

* Tue Mar 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10260.1mdv2007.1
+ Revision: 143230
- New svn snapshot

* Sun Mar 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10220.1mdv2007.1
+ Revision: 141406
- New svn snapshot (minor fixes)

* Thu Mar 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10200.1mdv2007.1
+ Revision: 138367
- New svn snapshot RC1

* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev10086.1mdv2007.1
+ Revision: 132938
- New svn snapshot

* Fri Feb 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9949.1mdv2007.1
+ Revision: 125154
- New svn snapshot : revision 9949

* Wed Feb 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9912.1mdv2007.1
+ Revision: 123902
- New svn snapshot 9912

* Thu Feb 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9782.2mdv2007.1
+ Revision: 121374
- Add menu entry (XDG)

* Wed Feb 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-0.rev9782.1mdv2007.1
+ Revision: 120833
- New svn snapshot revision: 9782
- Fix Install
- Add tranlations
- New snapshot
- Fix install patch
- New snapshot
- Fix install
- Fix FileList
- New snapshot
- Add lib subpackage
- Remove unused patch
- Add back Patch2
- Add patch3: Fix Build for x86_64
- New snaphsot
- Create devel package
- Fix Build for x86_64
- New svn snapshot and witch to 2.1 branch

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.rc5.8mdv2007.1
+ Revision: 96292
- Delete this file as it want to install -devel packages
       (and will if needed make a -devel package later)
- Fix _requires_exceptions (tks guillomovitch)

* Tue Dec 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.rc5.6mdv2007.1
+ Revision: 96003
- Fix build
- New cvs snapshot (Allow to build on x86_64)
- Clean spec file
- New cvs snapshot (fix tons of bugs)
- Fix BuildRequires
- Rebuild
- change name to be the same as the final rpm
- Rc5
- Switch to branch (wengophone-2.0)
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Fix Typo
- import Wengophone-2.0-0.rc4.1mdv2007.1

